> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getimpala.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Ready

> Readiness probe - returns 200 if services are initialized and ready.



## OpenAPI

````yaml /openai-api-swagger.json get /ready
openapi: 3.1.0
info:
  title: impala.ai OpenAI API v0.1.0
  description: >-
    An OpenAI API compatible server for impala.ai


    All timestamps are Unix epoch seconds, UTC. A null `*_at` field means the
    event did not occur for this run.


    All costs in USD.
  version: 0.1.0
servers: []
security: []
tags:
  - name: Files
    description: Upload and manage batch input and output files.
  - name: Batches
    description: Create, monitor and cancel batch runs.
  - name: System
    description: Liveness and readiness probes.
paths:
  /ready:
    get:
      tags:
        - System
      summary: Ready
      description: Readiness probe - returns 200 if services are initialized and ready.
      operationId: ready_ready_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}

````